Bug 22518 - accounttype 'O' is still referred to but is never set
Summary: accounttype 'O' is still referred to but is never set
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL: https://wiki.koha-community.org/wiki/...
Keywords:
Depends on: 22593
Blocks: 22512
  Show dependency treegraph
 
Reported: 2019-03-15 12:40 UTC by Martin Renvoize
Modified: 2019-04-01 14:08 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22518: Remove references to 'O' accounttype (2.89 KB, patch)
2019-03-15 13:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22518: Add database update 'just in case' (1.30 KB, patch)
2019-03-15 13:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22518: Remove references to 'O' accounttype (2.94 KB, patch)
2019-03-26 14:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22518: Add database update 'just in case' (1.36 KB, patch)
2019-03-26 14:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22518: Remove references to 'O' accounttype (3.04 KB, patch)
2019-03-29 10:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22518: Add database update 'just in case' (1.45 KB, patch)
2019-03-29 10:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22518: (QA follow-up) Add rows updated to feedback (1.38 KB, patch)
2019-03-29 10:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22518: (QA follow-up) Add rows updated to feedback (1.38 KB, patch)
2019-03-29 11:30 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-03-15 12:40:23 UTC
The 'O' accounttype has not been set in Koha for some time and it should now be safe to remove all references to it.

History: 'O' used to mean 'Overdue' and was at some point used. However, for some time the codes 'FU' (Fine Unreturned/Updating) in combination with 'F' (Fine) have been used instead.
Comment 1 Martin Renvoize 2019-03-15 13:46:43 UTC
Created attachment 86671 [details] [review]
Bug 22518: Remove references to 'O' accounttype

I went back over 12 years to and still only found "FIXME: What are these
accounttypes" concerning the 'O' type and I couldn't find anywhere where
it was being set.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Martin Renvoize 2019-03-15 13:46:46 UTC
Created attachment 86672 [details] [review]
Bug 22518: Add database update 'just in case'

All cases I could find where 'O' was referenced it was referenced
alongside 'FU'.. as such I've written this DB update to case any last
cases of 'O' and update them to 'FU' "just in case"

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Josef Moravec 2019-03-26 14:23:40 UTC
Created attachment 87019 [details] [review]
Bug 22518: Remove references to 'O' accounttype

I went back over 12 years to and still only found "FIXME: What are these
accounttypes" concerning the 'O' type and I couldn't find anywhere where
it was being set.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2019-03-26 14:23:44 UTC
Created attachment 87020 [details] [review]
Bug 22518: Add database update 'just in case'

All cases I could find where 'O' was referenced it was referenced
alongside 'FU'.. as such I've written this DB update to case any last
cases of 'O' and update them to 'FU' "just in case"

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Marcel de Rooy 2019-03-29 10:28:49 UTC
Created attachment 87171 [details] [review]
Bug 22518: Remove references to 'O' accounttype

I went back over 12 years to and still only found "FIXME: What are these
accounttypes" concerning the 'O' type and I couldn't find anywhere where
it was being set.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2019-03-29 10:28:54 UTC
Created attachment 87172 [details] [review]
Bug 22518: Add database update 'just in case'

All cases I could find where 'O' was referenced it was referenced
alongside 'FU'.. as such I've written this DB update to case any last
cases of 'O' and update them to 'FU' "just in case"

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2019-03-29 10:29:28 UTC
Bonus points for adding the number of changed lines in the dbrev..
Comment 8 Martin Renvoize 2019-03-29 10:47:38 UTC
Created attachment 87174 [details] [review]
Bug 22518: (QA follow-up) Add rows updated to feedback

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-03-29 11:30:10 UTC
Created attachment 87186 [details] [review]
Bug 22518: (QA follow-up) Add rows updated to feedback

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Nick Clemens 2019-03-29 11:46:49 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-04-01 14:08:53 UTC
Enhancement, will not be backported to 18.11.x series.